/*
 * Class WEL_PFA_CONSTANTS
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_437 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_437 [] = {0xFF01,1551,436,0xFFFF};
static const EIF_TYPE_INDEX egt_2_437 [] = {0xFF01,436,0xFFFF};
static const EIF_TYPE_INDEX egt_3_437 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_437 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_437 [] = {0xFF01,436,0xFFFF};
static const EIF_TYPE_INDEX egt_6_437 [] = {0xFF01,436,0xFFFF};
static const EIF_TYPE_INDEX egt_7_437 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_437 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_437 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_437 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_437 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_437 [] = {0xFF01,436,0xFFFF};


static const struct desc_info desc_437[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_437), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_437), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_437), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_437), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_437), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_437), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_437), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_437), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_437), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_437), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_437), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_437), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0369 /*436*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_437), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7437, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7438, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7439, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7440, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7441, 0xFFFFFFFF},
};
void Init437(void)
{
	IDSC(desc_437, 0, 436);
	IDSC(desc_437 + 1, 1, 436);
	IDSC(desc_437 + 32, 367, 436);
}


#ifdef __cplusplus
}
#endif
